summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-06-29 08:35:42 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-06-29 08:35:42 +0300
commit051627348d7f500bc56f11d2c9bd816808f59ae9 (patch)
tree476643ab37c573402d08db399042000e7e785278
parent3779f65b02e6baceeb5976057a2efdf2221e6ded (diff)
[net-dns/avahi*] added new stable revision
-rw-r--r--net-dns/avahi-base/avahi-base-0.6.31-r6.ebuild224
-rw-r--r--net-dns/avahi-gtk/avahi-gtk-0.6.31-r6.ebuild170
-rw-r--r--net-dns/avahi-gtk3/avahi-gtk3-0.6.31-r6.ebuild155
-rw-r--r--net-dns/avahi-mono/avahi-mono-0.6.31-r6.ebuild170
-rw-r--r--net-dns/avahi-qt/avahi-qt-0.6.31-r6.ebuild155
-rw-r--r--net-dns/avahi/avahi-0.6.31-r5.ebuild2
-rw-r--r--net-dns/avahi/avahi-0.6.31-r6.ebuild26
7 files changed, 901 insertions, 1 deletions
diff --git a/net-dns/avahi-base/avahi-base-0.6.31-r6.ebuild b/net-dns/avahi-base/avahi-base-0.6.31-r6.ebuild
new file mode 100644
index 00000000..afb9721d
--- /dev/null
+++ b/net-dns/avahi-base/avahi-base-0.6.31-r6.ebuild
@@ -0,0 +1,224 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+AVAHI_MODULE="${AVAHI_MODULE:-${PN/avahi-}}"
+MY_P=${P/-${AVAHI_MODULE}}
+MY_PN=${PN/-${AVAHI_MODULE}}
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_REQ_USE="gdbm"
+
+WANT_AUTOMAKE=1.11
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal \
+ python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network (base pkg)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="http://avahi.org/download/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="autoipd bookmarks dbus doc gdbm howl-compat +introspection ipv6 kernel_linux mdnsresponder-compat nls python selinux test"
+
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+ python? ( dbus gdbm )
+ howl-compat? ( dbus )
+ mdnsresponder-compat? ( dbus )
+"
+
+COMMON_DEPEND="
+ dev-libs/libdaemon
+ dev-libs/expat
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ gdbm? ( sys-libs/gdbm[${MULTILIB_USEDEP}] )
+ dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
+ kernel_linux? ( sys-libs/libcap )
+ introspection? ( dev-libs/gobject-introspection )
+ python? (
+ ${PYTHON_DEPS}
+ dbus? ( dev-python/dbus-python )
+ )
+ selinux? ( sec-policy/selinux-avahi )
+ bookmarks? (
+ dev-python/twisted-core
+ dev-python/twisted-web
+ )
+"
+
+DEPEND="
+ ${COMMON_DEPEND}
+ dev-util/intltool
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+ doc? (
+ app-doc/doxygen
+ )
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+ howl-compat? ( !net-misc/howl )
+ mdnsresponder-compat? ( !net-misc/mDNSResponder )
+"
+
+pkg_preinst() {
+ enewgroup netdev
+ enewgroup avahi
+ enewuser avahi -1 -1 -1 avahi
+
+ if use autoipd; then
+ enewgroup avahi-autoipd
+ enewuser avahi-autoipd -1 -1 -1 avahi-autoipd
+ fi
+}
+
+src_prepare() {
+ if use ipv6; then
+ sed -i \
+ -e s/use-ipv6=no/use-ipv6=yes/ \
+ avahi-daemon/avahi-daemon.conf || die
+ fi
+
+ sed -i\
+ -e "s:\\.\\./\\.\\./\\.\\./doc/avahi-docs/html/:../../../doc/${PF}/html/:" \
+ doxygen_to_devhelp.xsl || die
+
+ # Make gtk utils optional
+ epatch "${FILESDIR}"/${MY_PN}-0.6.30-optional-gtk-utils.patch
+
+ # Fix init scripts for >=openrc-0.9.0, bug #383641
+ epatch "${FILESDIR}"/${MY_PN}-0.6.x-openrc-0.9.x-init-scripts-fixes.patch
+
+ # install-exec-local -> install-exec-hook
+ epatch "${FILESDIR}"/${MY_P}-install-exec-hook.patch
+
+ # Backport host-name-from-machine-id patch, bug #466134
+ epatch "${FILESDIR}"/${MY_P}-host-name-from-machine-id.patch
+
+ # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
+ epatch "${FILESDIR}"/${MY_P}-fix-install-avahi-discover.patch
+
+ epatch "${FILESDIR}"/${MY_P}-so_reuseport-may-not-exist-in-running-kernel.patch
+
+ # allow building client without the daemon
+ epatch "${FILESDIR}"/${MY_P}-build-client-without-daemon.patch
+
+ # Drop DEPRECATED flags, bug #384743
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED=1::g' avahi-ui/Makefile.am || die
+
+ # Fix references to Lennart's home directory, bug #466210
+ sed -i -e 's/\/home\/lennart\/tmp\/avahi//g' man/* || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use sh && replace-flags -O? -O0
+ use python && python_export_best
+
+ # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
+ unset DISPLAY
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ )
+ fi
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --disable-pygtk \
+ --disable-xmltoman \
+ --disable-monodoc \
+ --disable-mono \
+ --enable-glib \
+ --enable-gobject \
+ $(multilib_native_use_enable test tests) \
+ $(multilib_native_use_enable autoipd) \
+ $(use_enable mdnsresponder-compat compat-libdns_sd) \
+ $(use_enable howl-compat compat-howl) \
+ $(multilib_native_use_enable doc doxygen-doc) \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-qt4 \
+ --disable-gtk \
+ --disable-gtk3 \
+ $(use_enable gdbm) \
+ $(systemd_with_unitdir) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ emake
+
+ multilib_is_native_abi && use doc && emake avahi.devhelp
+}
+
+multilib_src_install() {
+ emake install DESTDIR="${D}"
+ rm -f "${ED}"/usr/bin/avahi-bookmarks
+
+ use howl-compat && dosym avahi-compat-howl.pc /usr/$(get_libdir)/pkgconfig/howl.pc
+ use mdnsresponder-compat && dosym avahi-compat-libdns_sd/dns_sd.h /usr/include/dns_sd.h
+
+ if multilib_is_native_abi && use doc; then
+ dohtml -r doxygen/html/. || die
+ insinto /usr/share/devhelp/books/avahi
+ doins avahi.devhelp || die
+ fi
+}
+
+multilib_src_install_all() {
+ if use autoipd; then
+ insinto /$(get_libdir)/rcscripts/net
+ doins "${FILESDIR}"/autoipd.sh
+
+ insinto /$(get_libdir)/rc/net
+ newins "${FILESDIR}"/autoipd-openrc.sh autoipd.sh
+ fi
+
+ dodoc docs/{AUTHORS,NEWS,README,TODO}
+
+ prune_libtool_files --all
+}
+
+pkg_postinst() {
+ if use autoipd; then
+ elog
+ elog "To use avahi-autoipd to configure your interfaces with IPv4LL (RFC3927)"
+ elog "addresses, just set config_<interface>=( autoipd ) in /etc/conf.d/net!"
+ elog
+ fi
+}
diff --git a/net-dns/avahi-gtk/avahi-gtk-0.6.31-r6.ebuild b/net-dns/avahi-gtk/avahi-gtk-0.6.31-r6.ebuild
new file mode 100644
index 00000000..4583e15e
--- /dev/null
+++ b/net-dns/avahi-gtk/avahi-gtk-0.6.31-r6.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+AVAHI_MODULE="${AVAHI_MODULE:-${PN/avahi-}}"
+MY_P=${P/-${AVAHI_MODULE}}
+MY_PN=${PN/-${AVAHI_MODULE}}
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_REQ_USE="gdbm"
+
+WANT_AUTOMAKE=1.11
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal \
+ python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network (gtk pkg)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="http://avahi.org/download/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="dbus gdbm introspection nls python utils"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="
+ ~net-dns/avahi-base-${PV}[dbus=,gdbm=,introspection=,nls=,python=,${MULTILIB_USEDEP}]
+ x11-libs/gtk+:2
+ python? ( dev-python/pygtk )
+"
+
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+src_prepare() {
+ # Make gtk utils optional
+ epatch "${FILESDIR}"/${MY_PN}-0.6.30-optional-gtk-utils.patch
+
+ # Fix init scripts for >=openrc-0.9.0, bug #383641
+ epatch "${FILESDIR}"/${MY_PN}-0.6.x-openrc-0.9.x-init-scripts-fixes.patch
+
+ # install-exec-local -> install-exec-hook
+ epatch "${FILESDIR}"/${MY_P}-install-exec-hook.patch
+
+ # Backport host-name-from-machine-id patch, bug #466134
+ epatch "${FILESDIR}"/${MY_P}-host-name-from-machine-id.patch
+
+ # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
+ epatch "${FILESDIR}"/${MY_P}-fix-install-avahi-discover.patch
+
+ epatch "${FILESDIR}"/${MY_P}-so_reuseport-may-not-exist-in-running-kernel.patch
+
+ # allow building client without the daemon
+ epatch "${FILESDIR}"/${MY_P}-build-client-without-daemon.patch
+
+ # Drop DEPRECATED flags, bug #384743
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED=1::g' avahi-ui/Makefile.am || die
+
+ # Fix references to Lennart's home directory, bug #466210
+ sed -i -e 's/\/home\/lennart\/tmp\/avahi//g' man/* || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use sh && replace-flags -O? -O0
+ use python && python_export_best
+
+ # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
+ unset DISPLAY
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ --enable-pygtk
+ )
+ fi
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --disable-xmltoman \
+ --disable-monodoc \
+ --disable-pygtk \
+ --enable-glib \
+ --enable-gobject \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-qt4 \
+ $(multilib_is_native_abi && echo -n --enable-gtk || echo -n --disable-gtk) \
+ $(multilib_is_native_abi && echo -n --enable-gtk-utils || echo -n --disable-gtk-utils) \
+ --disable-gtk3 \
+ $(use_enable gdbm) \
+ $(systemd_with_unitdir) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ for target in avahi-common avahi-client avahi-glib avahi-ui; do
+ cd "${BUILD_DIR}"/${target} || die
+ emake || die
+ done
+ cd "${BUILD_DIR}" || die
+ emake avahi-ui.pc || die
+ fi
+}
+
+multilib_src_install() {
+ mkdir -p "${D}/usr/bin" || die
+
+ if multilib_is_native_abi; then
+ cd "${BUILD_DIR}"/avahi-ui || die
+ emake DESTDIR="${D}" install || die
+ if use python; then
+ cd "${BUILD_DIR}"/avahi-python/avahi-discover || die
+ emake install DESTDIR="${D}" || die
+ fi
+ cd "${BUILD_DIR}" || die
+ dodir /usr/$(get_libdir)/pkgconfig
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins avahi-ui.pc
+
+ # Workaround for avahi-ui.h collision between avahi-gtk and avahi-gtk3
+ root_avahi_ui="${ROOT}usr/include/avahi-ui/avahi-ui.h"
+ if [ -e "${root_avahi_ui}" ]; then
+ rm -f "${D}usr/include/avahi-ui/avahi-ui.h"
+ fi
+
+ # provided by avahi-gtk3
+ rm "${D}"usr/bin/bshell || die
+ rm "${D}"usr/bin/bssh || die
+ rm "${D}"usr/bin/bvnc || die
+ rm "${D}"usr/share/applications/bssh.desktop || die
+ rm "${D}"usr/share/applications/bvnc.desktop || die
+ fi
+}
+
+multilib_src_install_all() {
+ prune_libtool_files --all
+}
diff --git a/net-dns/avahi-gtk3/avahi-gtk3-0.6.31-r6.ebuild b/net-dns/avahi-gtk3/avahi-gtk3-0.6.31-r6.ebuild
new file mode 100644
index 00000000..1f1b21f2
--- /dev/null
+++ b/net-dns/avahi-gtk3/avahi-gtk3-0.6.31-r6.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+AVAHI_MODULE="${AVAHI_MODULE:-${PN/avahi-}}"
+MY_P=${P/-${AVAHI_MODULE}}
+MY_PN=${PN/-${AVAHI_MODULE}}
+
+WANT_AUTOMAKE=1.11
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_REQ_USE="gdbm"
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal \
+ python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network (gtk3 pkg)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="http://avahi.org/download/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="bookmarks dbus gdbm introspection nls python utils"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="
+ ~net-dns/avahi-base-${PV}[bookmarks=,dbus=,gdbm=,introspection=,nls=,python=,${MULTILIB_USEDEP}]
+ x11-libs/gtk+:3
+"
+
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # necessary until the UI libraries are ported
+ /usr/include/avahi-ui/avahi-ui.h
+)
+
+src_prepare() {
+ # Make gtk utils optional
+ epatch "${FILESDIR}"/${MY_PN}-0.6.30-optional-gtk-utils.patch
+
+ # Fix init scripts for >=openrc-0.9.0, bug #383641
+ epatch "${FILESDIR}"/${MY_PN}-0.6.x-openrc-0.9.x-init-scripts-fixes.patch
+
+ # install-exec-local -> install-exec-hook
+ epatch "${FILESDIR}"/${MY_P}-install-exec-hook.patch
+
+ # Backport host-name-from-machine-id patch, bug #466134
+ epatch "${FILESDIR}"/${MY_P}-host-name-from-machine-id.patch
+
+ # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
+ epatch "${FILESDIR}"/${MY_P}-fix-install-avahi-discover.patch
+
+ epatch "${FILESDIR}"/${MY_P}-so_reuseport-may-not-exist-in-running-kernel.patch
+
+ # allow building client without the daemon
+ epatch "${FILESDIR}"/${MY_P}-build-client-without-daemon.patch
+
+ # Drop DEPRECATED flags, bug #384743
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED=1::g' avahi-ui/Makefile.am || die
+
+ # Fix references to Lennart's home directory, bug #466210
+ sed -i -e 's/\/home\/lennart\/tmp\/avahi//g' man/* || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use sh && replace-flags -O? -O0
+
+ # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
+ unset DISPLAY
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ )
+ fi
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --disable-xmltoman \
+ --disable-monodoc \
+ --disable-pygtk \
+ --enable-glib \
+ --enable-gobject \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-qt4 \
+ --disable-gtk \
+ $(multilib_is_native_abi && echo -n --enable-gtk3 --enable-utils || echo -n --disable-gtk3 --disable-utils) \
+ $(use_enable gdbm) \
+ $(systemd_with_unitdir) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ for target in avahi-common avahi-client avahi-glib avahi-ui; do
+ cd "${BUILD_DIR}"/${target} || die
+ emake || die
+ done
+ cd "${BUILD_DIR}" || die
+ emake avahi-ui-gtk3.pc || die
+ fi
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ mkdir -p "${D}/usr/bin" || die
+ cd "${BUILD_DIR}"/avahi-ui || die
+ emake DESTDIR="${D}" install || die
+ cd "${BUILD_DIR}" || die
+ dodir /usr/$(get_libdir)/pkgconfig
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins avahi-ui-gtk3.pc
+ fi
+}
+
+multilib_src_install_all() {
+ prune_libtool_files --all
+ use bookmarks && use python && use dbus || \
+ rm -f "${D}"/usr/bin/avahi-bookmarks
+}
diff --git a/net-dns/avahi-mono/avahi-mono-0.6.31-r6.ebuild b/net-dns/avahi-mono/avahi-mono-0.6.31-r6.ebuild
new file mode 100644
index 00000000..8f8560ed
--- /dev/null
+++ b/net-dns/avahi-mono/avahi-mono-0.6.31-r6.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+AVAHI_MODULE="${AVAHI_MODULE:-${PN/avahi-}}"
+MY_P=${P/-${AVAHI_MODULE}}
+MY_PN=${PN/-${AVAHI_MODULE}}
+
+WANT_AUTOMAKE=1.11
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_REQ_USE="gdbm"
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal \
+ python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network (mono pkg)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="http://avahi.org/download/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="dbus doc gdbm gtk introspection nls python utils"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="
+ ~net-dns/avahi-base-${PV}[dbus=,gdbm=,introspection=,nls=,python=,${MULTILIB_USEDEP}]
+ gtk? (
+ ~net-dns/avahi-gtk-${PV}[dbus=,gdbm=,introspection=,nls=,python=,${MULTILIB_USEDEP}]
+ >=dev-dotnet/gtk-sharp-2
+ )
+"
+
+DEPEND="${COMMON_DEPEND}
+ doc? ( >=virtual/monodoc-1.1.8 )"
+RDEPEND="${COMMON_DEPEND}"
+
+pkg_setup() {
+ mono-env_pkg_setup
+}
+
+src_prepare() {
+ # Make gtk utils optional
+ epatch "${FILESDIR}"/${MY_PN}-0.6.30-optional-gtk-utils.patch
+
+ # Fix init scripts for >=openrc-0.9.0, bug #383641
+ epatch "${FILESDIR}"/${MY_PN}-0.6.x-openrc-0.9.x-init-scripts-fixes.patch
+
+ # install-exec-local -> install-exec-hook
+ epatch "${FILESDIR}"/${MY_P}-install-exec-hook.patch
+
+ # Backport host-name-from-machine-id patch, bug #466134
+ epatch "${FILESDIR}"/${MY_P}-host-name-from-machine-id.patch
+
+ # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
+ epatch "${FILESDIR}"/${MY_P}-fix-install-avahi-discover.patch
+
+ epatch "${FILESDIR}"/${MY_P}-so_reuseport-may-not-exist-in-running-kernel.patch
+
+ # allow building client without the daemon
+ epatch "${FILESDIR}"/${MY_P}-build-client-without-daemon.patch
+
+ # Drop DEPRECATED flags, bug #384743
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED=1::g' avahi-ui/Makefile.am || die
+
+ # Fix references to Lennart's home directory, bug #466210
+ sed -i -e 's/\/home\/lennart\/tmp\/avahi//g' man/* || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use sh && replace-flags -O? -O0
+
+ # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
+ unset DISPLAY
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ )
+ fi
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --disable-xmltoman \
+ --disable-monodoc \
+ --disable-pygtk \
+ --enable-glib \
+ --enable-gobject \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-qt4 \
+ --disable-gtk --disable-gtk-utils \
+ --disable-gtk3 \
+ $(multilib_is_native_abi && echo -n --enable-mono || echo -n --disable-mono) \
+ $(multilib_is_native_abi && echo -n --enable-monodoc || echo -n --disable-monodoc) \
+ $(use_enable gdbm) \
+ $(systemd_with_unitdir) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ for target in avahi-common avahi-client avahi-glib avahi-sharp; do
+ cd "${BUILD_DIR}"/${target} || die
+ emake || die
+ done
+ cd "${BUILD_DIR}" || die
+ emake avahi-sharp.pc || die
+
+ if use gtk; then
+ cd "${BUILD_DIR}"/avahi-ui-sharp || die
+ emake || die
+ cd "${BUILD_DIR}" || die
+ emake avahi-ui-sharp.pc || die
+ fi
+ fi
+}
+
+multilib_src_install() {
+ mkdir -p "${D}/usr/bin" || die
+
+ if multilib_is_native_abi; then
+ cd "${BUILD_DIR}"/avahi-sharp || die
+ emake install DESTDIR="${D}" || die
+ if use gtk; then
+ cd "${BUILD_DIR}"/avahi-ui-sharp || die
+ emake install DESTDIR="${D}" || die
+ fi
+ cd "${BUILD_DIR}" || die
+ dodir /usr/$(get_libdir)/pkgconfig
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins *.pc
+ fi
+}
+
+multilib_src_install_all() {
+ prune_libtool_files --all
+}
diff --git a/net-dns/avahi-qt/avahi-qt-0.6.31-r6.ebuild b/net-dns/avahi-qt/avahi-qt-0.6.31-r6.ebuild
new file mode 100644
index 00000000..0d9e68df
--- /dev/null
+++ b/net-dns/avahi-qt/avahi-qt-0.6.31-r6.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+AVAHI_MODULE="${AVAHI_MODULE:-${PN/avahi-}}"
+MY_P=${P/-${AVAHI_MODULE}}
+MY_PN=${PN/-${AVAHI_MODULE}}
+
+WANT_AUTOMAKE=1.11
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_REQ_USE="gdbm"
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal \
+ python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network (qt4 pkg)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="http://avahi.org/download/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="dbus gdbm introspection nls python utils"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="
+ ~net-dns/avahi-base-${PV}[dbus=,gdbm=,introspection=,nls=,python=,${MULTILIB_USEDEP}]
+ dev-qt/qtcore:4
+"
+
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+MULTILIB_WRAPPED_HEADERS=(
+ # necessary until the UI libraries are ported
+ /usr/include/avahi-qt4/qt-watch.h
+)
+
+src_prepare() {
+ # Make gtk utils optional
+ epatch "${FILESDIR}"/${MY_PN}-0.6.30-optional-gtk-utils.patch
+
+ # Fix init scripts for >=openrc-0.9.0, bug #383641
+ epatch "${FILESDIR}"/${MY_PN}-0.6.x-openrc-0.9.x-init-scripts-fixes.patch
+
+ # install-exec-local -> install-exec-hook
+ epatch "${FILESDIR}"/${MY_P}-install-exec-hook.patch
+
+ # Backport host-name-from-machine-id patch, bug #466134
+ epatch "${FILESDIR}"/${MY_P}-host-name-from-machine-id.patch
+
+ # Don't install avahi-discover unless ENABLE_GTK_UTILS, bug #359575
+ epatch "${FILESDIR}"/${MY_P}-fix-install-avahi-discover.patch
+
+ epatch "${FILESDIR}"/${MY_P}-so_reuseport-may-not-exist-in-running-kernel.patch
+
+ # allow building client without the daemon
+ epatch "${FILESDIR}"/${MY_P}-build-client-without-daemon.patch
+
+ # Drop DEPRECATED flags, bug #384743
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED=1::g' avahi-ui/Makefile.am || die
+
+ # Fix references to Lennart's home directory, bug #466210
+ sed -i -e 's/\/home\/lennart\/tmp\/avahi//g' man/* || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use sh && replace-flags -O? -O0
+
+ # We need to unset DISPLAY, else the configure script might have problems detecting the pygtk module
+ unset DISPLAY
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ )
+ fi
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --disable-xmltoman \
+ --disable-monodoc \
+ --disable-pygtk \
+ --enable-glib \
+ --enable-gobject \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-gtk3 \
+ --disable-gtk --disable-gtk-utils \
+ $(multilib_is_native_abi && echo -n --enable-qt4 || echo -n --disable-qt4) \
+ $(use_enable gdbm) \
+ $(systemd_with_unitdir) \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ cd "${BUILD_DIR}"/avahi-common || die
+ emake || die
+ cd "${BUILD_DIR}"/avahi-qt || die
+ emake || die
+ cd "${BUILD_DIR}" || die
+ emake avahi-qt4.pc || die
+ fi
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ mkdir -p "${D}/usr/bin" || die
+
+ cd "${BUILD_DIR}"/avahi-qt || die
+ emake install DESTDIR="${D}" || die
+
+ cd "${BUILD_DIR}" || die
+ dodir /usr/$(get_libdir)/pkgconfig
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins avahi-qt4.pc
+ fi
+}
+
+multilib_src_install_all() {
+ prune_libtool_files --all
+}
diff --git a/net-dns/avahi/avahi-0.6.31-r5.ebuild b/net-dns/avahi/avahi-0.6.31-r5.ebuild
index 6fcd7c9a..18ca5eb4 100644
--- a/net-dns/avahi/avahi-0.6.31-r5.ebuild
+++ b/net-dns/avahi/avahi-0.6.31-r5.ebuild
@@ -10,7 +10,7 @@ DESCRIPTION="System which facilitates service discovery on a local network (meta
HOMEPAGE="http://avahi.org/"
SRC_URI=""
-KEYWORDS="~amd64 ~arm ~x86"
+KEYWORDS="amd64 ~arm x86"
LICENSE="LGPL-2.1"
SLOT="0"
diff --git a/net-dns/avahi/avahi-0.6.31-r6.ebuild b/net-dns/avahi/avahi-0.6.31-r6.ebuild
new file mode 100644
index 00000000..18ca5eb4
--- /dev/null
+++ b/net-dns/avahi/avahi-0.6.31-r6.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2014 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit multilib-build
+
+DESCRIPTION="System which facilitates service discovery on a local network (meta package)"
+HOMEPAGE="http://avahi.org/"
+SRC_URI=""
+
+KEYWORDS="amd64 ~arm x86"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="autoipd bookmarks dbus doc gdbm gtk gtk3 howl-compat +introspection ipv6 kernel_linux mdnsresponder-compat mono nls python qt4 selinux test utils"
+
+COMMON_DEPEND="=net-dns/avahi-base-${PVR}[autoipd=,bookmarks=,dbus=,doc=,gdbm=,howl-compat=,introspection=,ipv6=,mdnsresponder-compat=,python=,test=,nls=,selinux=,${MULTILIB_USEDEP}]
+ gtk? ( =net-dns/avahi-gtk-${PVR}[bookmarks=,gdbm=,nls=,python=,dbus=,${MULTILIB_USEDEP}] )
+ utils? ( =net-dns/avahi-gtk3-${PVR}[utils,${MULTILIB_USEDEP}] )
+ gtk3? ( =net-dns/avahi-gtk3-${PVR}[${MULTILIB_USEDEP}] )
+ mono? ( =net-dns/avahi-mono-${PVR}[${MULTILIB_USEDEP}] )
+ qt4? ( =net-dns/avahi-qt-${PVR}[${MULTILIB_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${DEPEND}"